Subject: Re: G++ and ISO C++ conformity?
From: "Ryan B. Caveney" <[email-masked]>
To: <[email-masked]>, <[email-masked]>
Date: Wed, 6 Sep 2000 12:21:08 -0400

[email-masked] wrote:

> was surprised to find several includes and functions
> missing in the g++ distribution.
>
> Header files that could not be found:
>      <limits>   e.g. numeric_limits<int>::max();
>         <sstream>  e.g. ostringstream ost;
>
> Furthermore the "range controlled" indexing via at()
> would not work.

I just started using C++ myself, so I can't answer all your questions, but
what I can say is that the stringstream stuff is there -- it's just named
differently.  On my Cygwin (1.1.2 base), /usr/include/g++-3/ contains
strstream, not sstream, and the classes it defines are called things like
ostrstream, not ostringstream.  HTH.

Ryan Caveney

--
Want to unsubscribe from this list?
Send a message to [email-masked]